%define anolis_release 1
%global require_ibus_version 1.4.0

Name:       ibus-m17n
Version:    1.4.19
Release:    %{anolis_release}%{?dist}
Summary:    The M17N engine for IBus platform
License:    GPL-2.0-or-later
URL:        https://github.com/ibus/ibus-m17n
Source0:    https://github.com/ibus/%{name}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gettext-devel >= 0.19
BuildRequires:  make
BuildRequires:  pkgconfig(gtk+-3.0) >= 2.90.5
BuildRequires:  pkgconfig(ibus-1.0) >= 1.4
BuildRequires:  pkgconfig(m17n-shell)

Requires:   ibus >= %{require_ibus_version}
Requires:   m17n-lib

%description
M17N engine for IBus input platform. It allows input of many languages using
the input table maps from m17n-db.

%prep
%setup -q

%build
%configure --disable-static --with-gtk=3.0
# make -C po update-gmo
%{make_build}

%install
%{make_install}

%find_lang %{name}

%check
%{make_build} check

%files -f %{name}.lang
%doc AUTHORS README
%license COPYING
%{_datadir}/metainfo/m17n.appdata.xml
%{_datadir}/ibus-m17n
%{_datadir}/icons/hicolor/*/*/*
%{_libexecdir}/ibus-engine-m17n
%{_libexecdir}/ibus-setup-m17n
%{_datadir}/ibus/component/*
%{_datadir}/applications/ibus-setup-m17n.desktop
%{_datadir}/glib-2.0/schemas/org.freedesktop.ibus.engine.m17n.gschema.xml

%changelog
* Sun May 14 2023 Funda Wang <fundawang@yeah.net> - 1.4.19-1
- New version 1.4.19

* Sat Dec 31 2022 Funda Wang <fundawang@yeah.net> - 1.4.18-1
- Import for anolis 23
